cpw.mods.fml.common

## Interface IFMLSidedHandler

- All Known Implementing Classes:
    FMLClientHandler, FMLServerHandler

      public interface IFMLSidedHandler

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addModAsResource(ModContainer container)`
    `void` | `adjustEntityLocationOnClient(EntitySpawnAdjustmentPacket entitySpawnAdjustmentPacket)`
    `void` | `beginServerLoading(MinecraftServer server)`
    `void` | `disconnectIDMismatch(com.google.common.collect.MapDifference<Integer,ItemData> s, NetHandler toKill, INetworkManager mgr)`
    `void` | `displayMissingMods(ModMissingPacket modMissingPacket)`
    `void` | `finishServerLoading()`
    `List<String>` | `getAdditionalBrandingInformation()`
    `byte` | `getClientCompatibilityLevel()`
    `String` | `getCurrentLanguage()`
    `MinecraftServer` | `getServer()`
    `Side` | `getSide()`
    `void` | `haltGame(String message, Throwable exception)`
    `void` | `handleTinyPacket(NetHandler handler, Packet131MapData mapData)`
    `void` | `sendPacket(Packet packet)`
    `void` | `serverStopped()`
    `void` | `setClientCompatibilityLevel(byte compatibilityLevel)`
    `boolean` | `shouldServerShouldBeKilledQuietly()`
    `void` | `showGuiScreen(Object clientGuiElement)`
    `Entity` | `spawnEntityIntoClientWorld(EntityRegistry.EntityRegistration registration, EntitySpawnPacket packet)`
    `void` | `updateResourcePackList()`

- - ### Method Detail

    - #### getAdditionalBrandingInformation

          List<String> getAdditionalBrandingInformation()

    - #### getSide

          Side getSide()

    - #### haltGame

          void haltGame(String message,
                      Throwable exception)

    - #### showGuiScreen

          void showGuiScreen(Object clientGuiElement)

    - #### spawnEntityIntoClientWorld

          Entity spawnEntityIntoClientWorld(EntityRegistry.EntityRegistration registration,
                                          EntitySpawnPacket packet)

    - #### adjustEntityLocationOnClient

          void adjustEntityLocationOnClient(EntitySpawnAdjustmentPacket entitySpawnAdjustmentPacket)

    - #### beginServerLoading

          void beginServerLoading(MinecraftServer server)

    - #### finishServerLoading

          void finishServerLoading()

    - #### getServer

          MinecraftServer getServer()

    - #### sendPacket

          void sendPacket(Packet packet)

    - #### displayMissingMods

          void displayMissingMods(ModMissingPacket modMissingPacket)

    - #### handleTinyPacket

          void handleTinyPacket(NetHandler handler,
                              Packet131MapData mapData)

    - #### setClientCompatibilityLevel

          void setClientCompatibilityLevel(byte compatibilityLevel)

    - #### getClientCompatibilityLevel

          byte getClientCompatibilityLevel()

    - #### shouldServerShouldBeKilledQuietly

          boolean shouldServerShouldBeKilledQuietly()

    - #### disconnectIDMismatch

          void disconnectIDMismatch(com.google.common.collect.MapDifference<Integer,ItemData> s,
                                  NetHandler toKill,
                                  INetworkManager mgr)

    - #### addModAsResource

          void addModAsResource(ModContainer container)

    - #### updateResourcePackList

          void updateResourcePackList()

    - #### getCurrentLanguage

          String getCurrentLanguage()

    - #### serverStopped

          void serverStopped()